Skip to main content
GET
/
datamasking-rules
/
{id}
Get Data Masking Rule
curl --request GET \
  --url https://use.hoop.dev/api/datamasking-rules/{id}
{
  "name": "mask-email",
  "attributes": [
    "production",
    "pii"
  ],
  "connection_ids": [
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
  ],
  "custom_entity_types": [
    {
      "name": "ZIP_CODE",
      "score": 0.01,
      "deny_list": [
        "Mr",
        "Mr.",
        "Mister"
      ],
      "regex": "\\b\\d{5}(?:-\\d{4})?\\b"
    }
  ],
  "description": "Mask email addresses in the data",
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "score_threshold": 0.6,
  "supported_entity_types": [
    {
      "entity_types": [
        "EMAIL_ADDRESS",
        "PERSON",
        "PHONE_NUMBER",
        "IP_ADDRESS"
      ],
      "name": "PII"
    }
  ],
  "updated_at": "2023-08-15T14:30:45Z"
}

Documentation Index

Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the resource

Response

OK

name
string
required

The unique name of the data masking rule, it's immutable after creation

Example:

"mask-email"

attributes
string[]

Attributes associated with this data masking rule

Example:
["production", "pii"]
connection_ids
string[]

The connections that this rule applies to

Example:
[
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
]
custom_entity_types
object[]

The custom entity types that this rule applies to

description
string

The description of the data masking rule

Example:

"Mask email addresses in the data"

id
string<uuid>

The unique identifier of the data masking rule

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

score_threshold
number

The minimal detection score threshold for the entities to be masked.

Example:

0.6

supported_entity_types
object[]

The registered entity types that this rule applies to

updated_at
string
read-only

The timestamp when the rule was updated

Example:

"2023-08-15T14:30:45Z"